'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const core = require('./core-f42eff8b.js');

const RLTextLog = class {
    constructor(hostRef) {
        core.registerInstance(this, hostRef);
        this.strings = [];
    }
    /**
     * Add a new line to the log.
     * @param str A string to write to the log
     */
    async log(str = '') {
        this.strings = [...this.strings, str];
    }
    hostData() {
        return {
            class: {
                'rl-text-log': true,
            }
        };
    }
    __stencil_render() {
        return this.strings.map(s => core.h("div", null, s));
    }
    render() { return core.h(core.Host, this.hostData(), this.__stencil_render()); }
    static get style() { return ""; }
};

exports.rl_text_log = RLTextLog;
